#!/bin/sh
KEYFILE=/rex/rexcore/rexcore.key
CERFILE=/rex/rexcore/rexcore.cer

[ -f "$CERFILE" ] && { echo "RexCore: certificate found" && exit 0; }

echo "RexCore: certificate not found, try to generate one.."

OPENSSL=$(which openssl 2> /dev/null)
[ -n "$OPENSSL" ] || { echo "RexCore: OpenSSL not found" && exit 1; }

if [ ! -f "$KEYFILE" ]; then
	$OPENSSL genrsa -out $KEYFILE 2048 || { echo "RexCore: unable to generate private key" && exit 2; }
fi

if [ ! -f "$CERFILE" ]; then
	$OPENSSL req -new -x509 -key $KEYFILE -out $CERFILE -days 12000 -outform PEM -batch -subj "/C=CZ/ST=Czech Republic/L=Pilsen/O=REX Controls s.r.o./CN=localhost" || { echo "RexCore: unable to generate certificate" && exit 3; }
fi

echo "RexCore: certificate generated successfully"
